Page MenuHomePhabricator

mw.user.options isn't populated when ArticleTargetLoader runs, breaking NWE
Closed, ResolvedPublic1 Story Points

Description

Specifically on line 39 of ArticleTargetLoader.js it is decided that the NWE modules are not needed

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2016, 12:25 AM

Strangely this is only happening on my local copy, and not beta labs.

TheDJ added a subscriber: TheDJ.Oct 17 2016, 10:03 AM

Was the dependency on user.options declared ?

AlexMonk-WMF added a comment.EditedOct 19 2016, 11:40 PM

That might be it? It doesn't have any direct or indirect dependencies on user.options, but it is a sibling of user.options under ext.visualEditor.mediawiki's dependencies

That works, thanks.

Change 317876 had a related patch set uploaded (by Esanders):
Make ArticleTargetLoader dependent on user.options

https://gerrit.wikimedia.org/r/317876

Change 317876 merged by jenkins-bot:
Make ArticleTargetLoader dependent on user.options

https://gerrit.wikimedia.org/r/317876

TheDJ closed this task as Resolved.Oct 26 2016, 8:13 AM
TheDJ assigned this task to Esanders.
Jdforrester-WMF triaged this task as Normal priority.Oct 26 2016, 7:02 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.